---
- hosts: localhost
  become: true
  vars:
    storage_use_partitions: true

  roles:
    - name: redhat.rhel_system_roles.storage
      storage_pools:
        - name: foo
          disks: ['vdb']
          state: "absent"
          volumes:
            - name: test1
              size: 10g
              mount_point: '/opt/test1'
        - name: bar
          disks: ['vdc']
        # state: "absent"
          volumes:
            - name: test2
              size: 8g
              mount_point: /opt/test2
            - name: test3
              state: absent
              size: 2g
              mount_point: /opt/test3
      storage_volumes:
        - name: sumpin
          state: "absent"
          disks: ['vdd']
          type: disk
          mount_point: /opt/test4
